Ext.define('plugin.contactUs.res.BaiduMapUtil', {
	alternateClassName : 'BaiduMapUtil',
	statics : {
		mapReady: false,
		currPosition: undefined,
		
		loadJs: function(fromCtx,backMehtod) {
			BaiduMapUtil.fromCtx = fromCtx;
			BaiduMapUtil.backMehtod = backMehtod;
			var script = document.createElement("script");
			script.src = "http://api.map.baidu.com/api?v=1.5&ak=420dfc7bf5ec2b58f857a25bed5d5fb8&callback=BaiduMapUtil.initialize";
			document.body.appendChild(script);
		},
		initialize: function() { 
			BaiduMapUtil.mapReady = true;
			BaiduMapUtil.backMehtod.call(BaiduMapUtil.fromCtx);
		},

		createMap : function(canvas) {
			BaiduMapUtil.mapObj = null;
				var div = 'map_div';
				if (canvas) {
					div = canvas;
				}
				BaiduMapUtil.mapObj = new BMap.Map(div);
				
				BaiduMapUtil.mapObj.addControl(new BMap.NavigationControl());  
				BaiduMapUtil.mapObj.addControl(new BMap.ScaleControl());  
				BaiduMapUtil.mapObj.addControl(new BMap.OverviewMapControl());  
				BaiduMapUtil.mapObj.addControl(new BMap.MapTypeControl({mapTypes: [BMAP_NORMAL_MAP,BMAP_HYBRID_MAP]})); 
				BaiduMapUtil.mapObj.enableScrollWheelZoom();
			return BaiduMapUtil.mapObj;
		},

		markMap : function(city, place, point) {
			var arr = point.split(',');
			var point = new BMap.Point(arr[0], arr[1]);
			
		    
			var content = '<div style="margin:0;line-height:20px;padding:2px;">' +place + '</div>';
			
			var infoWindow = new BMap.InfoWindow(content);  // 创建信息窗口对象
			BaiduMapUtil.mapObj.openInfoWindow(infoWindow,point);
			
		   
			var marker = new BMap.Marker(point);
		    
		    marker.addEventListener("click", function(e){
		    	if(infoWindow){
		    		infoWindow.close();
		    	}
		    	BaiduMapUtil.mapObj.openInfoWindow(infoWindow,point); 
		    });
		    
		    //marker.setLabel(new BMap.Label(place));
		    BaiduMapUtil.mapObj.centerAndZoom(point, 8);
		    BaiduMapUtil.mapObj.addOverlay(marker);
		},
		
		toRouteMap:function(routeType,lntLat){
			
			Device.getPosition(function() {
				BaiduMapUtil.routeMap(routeType,lntLat);
   		 	});
			
		},
		routeMap:function(routeType,lntLat){
			if(Util.isNotEmpty(lntLat)){
				
				var currPoint = new BMap.Point(ASVari.longitude, ASVari.latitude);
				var point2Arr = lntLat.split(',');
				var point2 = new BMap.Point(point2Arr[0], point2Arr[1]);
				
				if(BaiduMapUtil.routeSearch){
					BaiduMapUtil.routeSearch.clearResults();
				}
				
				if(routeType == "car"){
					BaiduMapUtil.routeSearch = new BMap.DrivingRoute(BaiduMapUtil.mapObj, {  
						 renderOptions: {  
						   map   : BaiduMapUtil.mapObj,
						   //panel : "map_result",
						   autoViewport: true
						 }
					});  
					BaiduMapUtil.routeSearch.search(currPoint, point2); 
				}else if(routeType == "transit"){
					 
					BaiduMapUtil.routeSearch = new BMap.TransitRoute(BaiduMapUtil.mapObj, {
					  renderOptions: {map: BaiduMapUtil.mapObj,autoViewport: true}
					});
					BaiduMapUtil.routeSearch.search(currPoint, point2);

				}else if(routeType == "walk"){
					
					BaiduMapUtil.routeSearch = new BMap.WalkingRoute(BaiduMapUtil.mapObj, {
						renderOptions:{map: BaiduMapUtil.mapObj, autoViewport: true}
					});
					BaiduMapUtil.routeSearch.search(currPoint, point2);
 
				}
			}
		},
		
		multiMark:function(datas){
			if(BaiduMapUtil.mapObj){
				 for(var i =0 ;i<datas.length;i++){
	    			 var module = datas.get(i);
	    			 var point = new BMap.Point(module.get("longitude"), module.get("latitude"));
	    			 BaiduMapUtil.markerNoInfoWind(point,module);
	    		 } 
			}
		},
		markerNoInfoWind:function(point,module){
			var mark = new BMap.Marker(point);
			BaiduMapUtil.mapObj.centerAndZoom(point, 8);
			BaiduMapUtil.mapObj.addOverlay(mark);
			
			var content = Util.getMessageInner('address',null,0)+':' +module.get("address1") + '';
			if(Util.isNotEmpty(module.get("phone"))){
				content += '</br>'+Util.getMessageInner('phone',null,0)+':'+module.get("phone");
			}
			
			var infoWindow = new BMap.InfoWindow(content); 
		    
			mark.addEventListener("click", function(e){
		    	if(infoWindow){
		    		infoWindow.close();
		    	}
		    	BaiduMapUtil.mapObj.openInfoWindow(infoWindow,point); 
		    });
			
		},
	 
	},
  
});