Ext.define('theme.platform.tablet.MainView', {
    extend: 'Ext.NavigationView',
    alias	: 'widget.MainView',
    id  	: 'MainView',
    requires: [
        'Ext.NavigationView'
    ],

    config: {
    	cls: 'mainView',
    	navigationBar: false,
        fullscreen: true,
        items: [
        	{
				xtype: "toolbar",
				id: 'headbar',
				itemId: 'headbar',
				docked: "top",
				cls: 'as_top',
				layout: { pack: 'center' },
				items: [
                    {
						id: 'backButton',
                    	itemId: 'backButton',
                    	align: 'left',
                    	iconCls: 'as-back',
			            iconMask: true,
			            style: 'background: none; border: none; padding-left: 3px;',
			            hidden : true,
			            handler: function(){ Nav.onBack(); }
		            },
                    {
						id: 'backButton_placeholder',
                    	itemId: 'backButton_placeholder',
                    	align: 'left',
                    	iconCls: 'as-placeholder',
			            iconMask: true,
			            style: 'background: none; border: none; padding-left: 3px;',
			            hidden : false
		            },
		            
				    { xtype: 'spacer' },
                    {
                        xtype: 'title',
                        id: 'app_title',
                        title: '',
                        cls: 'as_title_a',
                        layout: {
                        	pack: 'center'
                        }
                    },
                    { xtype: 'spacer' },
                    {
						id: 'right_placeholder',
                    	itemId: 'right_placeholder',
                    	align: 'right',
                    	iconCls: 'as-placeholder',
			            iconMask: true,
			            style: 'background: none; border: none;',
			            hidden : true
		            },
                ]
			},
        	{
					/*xtype:'container',
				    layout: {
				    	type:'hbox',
						animation:'fade',
				        align: 'middle'
				    },
				     
				    
				    height:'100%',
				    docked:'left',
				   
				    items: [
				        {
				        	xtype:'toolbar',
				        	id: 'navbar',
							itemId: 'navbar',
							cls: ['as_foot','as_foot_y'],
							layout: { pack: 'center' },
				            docked: 'left',
				            
				            height:'100%',
				            scrollable: {
				                direction: 'vertical',
				                directionLock: true
				            },
				        },
				        {
				            xtype: 'img',
				            id:'navImg',
				            src: 'http://www.sencha.com/assets/images/sencha-avatar-64x64.png',
						    height: 64,
						    width: 20,
						   pack:'center',
						    listeners: {
						        tap: {
						            fn: function() {
						                Ext.get("navbar").show();
						                //Ext.get("navImg").hide();
						            },
						        }
						    }
				        }
				    ]*/
				xtype: "toolbar",
				id: 'navbar',
				itemId: 'navbar',
				cls: ['as_foot','as_foot_y'],
				layout: { pack: 'center' },
	            docked: 'left',
	            
	            height:'100%',
	            width:130,
	            //left: '0',
	            //top:47,
	            scrollable: {
	                direction: 'vertical',
	                directionLock: true
	            },
	            hidden:true,
	            
        	}
        ]

    }
});

